Come eseguire l'upgrade all'ultima versione di Emacs?

17

Ho Emacs 24.3.1 e vorrei passare all'ultima versione di Emacs 24.4.x. Tutta la documentazione che ho visitato suggerisce di costruire da un tarball o da una fonte. C'è una ragione per cui non ci sono opzioni di gestore pacchetti per aggiornare il mio Emacs? Altrimenti, come posso aggiornare il mio Emacs usando il gestore pacchetti?

Ecco alcune informazioni sul mio Emacs, che credo sia di default su Ubuntu 14.04:

emacs:
  Installed: 45.0ubuntu1
  Candidate: 45.0ubuntu1
  Version table:
 *** 45.0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
    
posta modulitos 20.03.2015 - 06:24

2 risposte

4

Emacs 24.4 è ancora relativamente nuovo. Ubuntu è considerato una distribuzione stabile e per questo motivo il software a volte resta indietro. Se Emacs 24.4 non è pacchettizzato, dovrai crearlo da solo.

Puoi trovare istruzioni complete su come installare GNU Emacs 24.4 su Ubuntu in questa guida: link

    
risposta data Keefer Rourke 20.03.2015 - 06:33
30

Puoi installare i pacchetti notturni dal ubuntu-elisp ppa .

sudo add-apt-repository ppa:ubuntu-elisp/ppa
sudo apt-get update
sudo apt-get install emacs-snapshot
    
risposta data osolmaz 05.11.2015 - 10:57

Leggi altre domande sui tag